Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Interface PermissionClassManager

public interface PermissionClassManager

This interface defines a manager for permission classs NOTE: This interface is for Oracle-internal use only and is subject to change without notice.

Method Summary
`boolean` | `addPermissionClass(PermissionClassDesc permClassDesc)` Registers a new permission class with the system.
`PermissionClassDesc` | `getPermissionClass(String permClassName)` Returns specified permission class descriptor
`Collection` | `getPermissionClasses()` Returns all the managed permission classes.
`boolean` | `removePermissionClass(String permClassName, boolean cascade)` Unregisters an existing permission class from the system.

Method Detail

### getPermissionClasses

    public Collection getPermissionClasses()
                                    throws JAZNException

  Returns all the managed permission classes.
    `JAZNException`

### addPermissionClass

    public boolean addPermissionClass(PermissionClassDesc permClassDesc)
                               throws JAZNException

  Registers a new permission class with the system.
    `JAZNException`

### removePermissionClass

    public boolean removePermissionClass(String permClassName,
                                         boolean cascade)
                                  throws JAZNException

  Unregisters an existing permission class from the system.
    `JAZNException`

### getPermissionClass

    public PermissionClassDesc getPermissionClass(String permClassName)

  Returns specified permission class descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.